function Create(self)
	if self.ID == self.RootID then return end	-- Return if this weapon is not held by an actor
	
	-- Find the next avaliable index
	while gScriptWpnSelf[gScriptWpnIndex] do
		gScriptWpnIndex = gScriptWpnIndex + 1
	end
	
	gScriptWpnSelf[gScriptWpnIndex] = self	-- Create a table to store local data
	self.Sharpness = gScriptWpnIndex		-- Store table index in weapon sharpness
end

function Destroy(self)	-- This is only executed on dropped weapons, but it will still slow down grwoth of gScriptWpnSelf
	gScriptWpnSelf[self.Sharpness] = nil
	if self.Sharpness < gScriptWpnIndex then
		gScriptWpnIndex = self.Sharpness
	end
end

function Update(self)
	if self.ID == self.RootID then return end	-- Reurn if this weapon is not held by an actor
	
	local data = gScriptWpnSelf[self.Sharpness]	-- Temporary pointer
	if self:IsActivated() then
		if not data.fireButtonDown then
			data.fireButtonDown = true	-- Only print once
			print(self.ClassName .. " " .. self.PresetName .. " weapon index: " .. self.Sharpness)
		end
	else
		data.fireButtonDown = false
	end
end